| Apache Ignite C++

Public Member Functions | Friends | List of all members
ignite::thin::cache::event::JavaCacheEntryEventFilter Class Reference

Java cache entry event filter. More...

`#include <java_cache_entry_event_filter.h>`

## Public Member Functions
| JavaCacheEntryEventFilter ()
| Default constructor.
| JavaCacheEntryEventFilter (const std::string &factoryClassName)
| Constructor. More...
virtual | ~JavaCacheEntryEventFilter ()
| Destructor.
const std::string & | GetFactoryClassName () const
| Get Java remote filter factory class name. More...
template<typename T >
void | SetProperty (const std::string &name, const T &value)
| Add property. More...
void | ClearProperties ()
| Clear set properties. More...

## Friends
class | ignite::impl::thin::cache::CacheClientImpl

## Detailed Description

Java cache entry event filter.

All templated types should be default-constructable, copy-constructable and assignable.

## Constructor & Destructor Documentation

## ◆ JavaCacheEntryEventFilter()

ignite::thin::cache::event::JavaCacheEntryEventFilter::JavaCacheEntryEventFilter | ( | const std::string & | factoryClassName | ) |
| inline

Constructor.

Parameters

  factoryClassName | Name of the Java factory class.

## Member Function Documentation

## ◆ ClearProperties()

void ignite::thin::cache::event::JavaCacheEntryEventFilter::ClearProperties | ( |  | ) |
| inline

Clear set properties.

Set properties for the filter to empty set.

## ◆ GetFactoryClassName()

const std::string& ignite::thin::cache::event::JavaCacheEntryEventFilter::GetFactoryClassName | ( |  | ) | const
| inline

Get Java remote filter factory class name.

Returns
  Java factory class name.

## ◆ SetProperty()

template<typename T >

void ignite::thin::cache::event::JavaCacheEntryEventFilter::SetProperty | ( | const std::string & | name,
|  | const T & | value
| ) |  |
| inline

Add property.

Template argument type should be copy-constructable and assignable. Also BinaryType class template should be specialized for this type.

Parameters

  name | Property name.
  value | Property value.

The documentation for this class was generated from the following file:

- thin-client/include/ignite/thin/cache/event/java_cache_entry_event_filter.h